package it.integry.integrywmsnative.core.rest.model.magazzino_automatico;

import java.time.LocalDate;

public class MagazzinoAutomaticoPickOrderRequestDTO {

    private final String type = "dtb_ordr";
    private LocalDate dataCons;
    private LocalDate dataOrd;
    private String gestione;
    private int numOrd;

    public MagazzinoAutomaticoPickOrderRequestDTO(LocalDate dataOrd, String gestione, int numOrd) {
        this.dataOrd = dataOrd;
        this.gestione = gestione;
        this.numOrd = numOrd;
    }

    public LocalDate getDataOrd() {
        return dataOrd;
    }

    public String getGestione() {
        return gestione;
    }

    public int getNumOrd() {
        return numOrd;
    }

    public LocalDate getDataCons() {
        return dataCons;
    }

    public MagazzinoAutomaticoPickOrderRequestDTO setDataCons(LocalDate dataCons) {
        this.dataCons = dataCons;
        return this;
    }

    public String getType() {
        return type;
    }
}
